- Qt 6.9
- Qt GUI
- C++ Classes
- InOutVariable
- Qt 6.9.3 Reference Documentation

# QShaderDescription::InOutVariable Struct

struct QShaderDescription::InOutVariable

Describes an input or output variable in the shader. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

QList<int> | arrayDims
int | binding
int | descriptorSet
QShaderDescription::ImageFlags | imageFlags
QShaderDescription::ImageFormat | imageFormat
int | location
QByteArray | name
bool | perPatch
QList<QShaderDescription::BlockVariable> | structMembers
QShaderDescription::VariableType | type

## Related Non-Members

bool | operator==(const QShaderDescription::InOutVariable &lhs, const QShaderDescription::InOutVariable &rhs)

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QShaderDescription for details.

## Member Variable Documentation

### QList<int> InOutVariable::arrayDims

### int InOutVariable::binding

### int InOutVariable::descriptorSet

### QShaderDescription::ImageFlags InOutVariable::imageFlags

### QShaderDescription::ImageFormat InOutVariable::imageFormat

### int InOutVariable::location

### QByteArray InOutVariable::name

### bool InOutVariable::perPatch

### QList<QShaderDescription::BlockVariable> InOutVariable::structMembers

### QShaderDescription::VariableType InOutVariable::type

## Related Non-Members

### `[noexcept]` bool operator==(const QShaderDescription::InOutVariable &lhs, const QShaderDescription::InOutVariable &rhs)

Returns `true` if the two InOutVariable objects lhs and rhs are equal.